@echo off
:::::::::::::::::::::::::::::::::::::::::::::::::::
::
:: Query device version
:: version.bat <IP> <MAC>
:: Example: version 192.168.1.1 00-C5-D9-00-00-22
::
:::::::::::::::::::::::::::::::::::::::::::::::::::
if "%1"=="-?" goto USAGE
if "%1"=="-h" goto USAGE
if .%1==. goto USAGE
if .%2==. goto ERROR

call setenv.bat

%loader% -M %2 -a %1 -s .\scr\get_ver.txt > verinfo.txt
if %ERRORLEVEL% lss 0 goto FAIL
set RUN_RESULT=1
goto END

:ERROR
echo Invalid parameter
set RUN_RESULT=-101
goto USAGE

:FAIL
@echo Failed to query version
set RUN_RESULT=-105
goto END

:USAGE
@echo.
@echo Usage: "version <IP> <MAC>"
@echo 	IP  - IP Address of network interface (e.g 192.168.1.1)
@echo 	MAC - device MAC address (e.g 00-C5-D8-00-00-00)
@echo.
@echo Output format: "<MajorVer>.<MinorVer><Revision>"
@echo.

:END 

exit (%RUN_RESULT%)